/*******************************************************************************
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 *******************************************************************************/
package com.ofss.digx.app.account.adapter.impl;

import com.ofss.digx.app.account.adapter.IAccountAdapter;
import com.ofss.digx.app.account.dto.AccountRequestDTO;
import com.ofss.digx.app.account.dto.AccountResponseDTO;
import com.ofss.digx.infra.exceptions.Exception;
/**
 * Mock adapter to fetch account details from host
 *
 */
public class AccountMockAdapter implements IAccountAdapter{
	/**
	 * Fetches account details from the mock data.
	 */
	@Override
	public AccountResponseDTO fetch(AccountRequestDTO accountDTO)
			throws Exception {
		AccountResponseDTO responseDTO = new AccountResponseDTO();
		responseDTO.setAccountId(accountDTO.getAccountId());
		responseDTO.setBankCode(accountDTO.getBankCode());
		responseDTO.setIban(accountDTO.isIban());
		responseDTO.setInternalAccount(accountDTO.isInternalAccount());
		responseDTO.setTitle("Allied Savings Account");
		return responseDTO;
	}

}
