package com.ofss.digx.app.account.adapter;

import com.ofss.digx.app.account.dto.AccountRequestDTO;
import com.ofss.digx.app.account.dto.AccountResponseDTO;
/**
 * Interface for Account Adapter
 *
 */
public interface IAccountAdapter {
	/**
	 * Fetches Account details from Host
	 * 
	 * @param accountDTO
	 *            containing account related details
	 * @return {@link AccountResponseDTO} response dto.
	 * @throws Exception
	 *             throws {@link Exception} if any error occurs.
	 */
	public AccountResponseDTO fetch(AccountRequestDTO accountDTO) throws com.ofss.digx.infra.exceptions.Exception;
}
