package com.ofss.digx.app.account.dto;

import com.ofss.digx.service.response.BaseResponseObject;
/**
 * Response object class to return Account related details.
 *
 */
public class AccountResponseDTO  extends BaseResponseObject{

	/**
	 * Serial Version UID
	 */
	private static final long serialVersionUID = 1488210600365242317L;
	
	/**
	 * Describes title of the account held with the bank. 
	 */
	private String title;
	
	
	/**
	 * The identifier to uniquely identify the bank code in which the account is held.
	 */
	private String bankCode;
	
	/**
	 * Unique identifier for the account.
	 */
	private String accountId;
	
	/**
	 * IBAN stands for International Bank Account Number, which can be used when making or receiving international
	 * payments. IBAN does not replace sort code & account number - it's and additional number with extra information to
	 * help overseas banks identify an account for payments.
	 */
	private boolean isIban;
	
	/**
	 * IBAN stands for International Bank Account Number, which can be used when making or receiving international
	 * payments. IBAN does not replace sort code & account number - it's and additional number with extra information to
	 * help overseas banks identify an account for payments.
	 */
	private boolean isInternalAccount;
	/**
	 * Returns title of the account in the form of {@link String}
	 * @return title
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * Sets title of the account in the form of {@link String}
	 * @param title
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	/**
     * Returns bank code in which account is held.
     * @return bankCode
     */
	public String getBankCode() {
		return bankCode;
	}
	/**
	 * Sets bank code in which account is held.
	 * @param bankCode
	 */
	public void setBankCode(String bankCode) {
		this.bankCode = bankCode;
	}
	/**
	 * Fetches account number of the customer.
	 * @return accountId 
	 */
	public String getAccountId() {
		return accountId;
	}
	/**
	 * Sets account number of the customer.
	 * @param accountId
	 */
	public void setAccountId(String accountId) {
		this.accountId = accountId;
	}
	/**
	 * Gets the boolean value of isIban attribute.
	 * @return isIban
	 */
	public boolean isIban() {
		return isIban;
	}
	/**
	 * Sets the boolean value of isIban attribute.
	 * @param isIban
	 */
	public void setIban(boolean isIban) {
		this.isIban = isIban;
	}
	/**
	 * Gets the boolean value of isInternalAccount attribute.
	 * @return isInternalAccount
	 */
	public boolean isInternalAccount() {
		return isInternalAccount;
	}
	/**
	 * Sets the boolean value of isInternalAccount attribute.
	 * @param isInternalAccount
	 */
	public void setInternalAccount(boolean isInternalAccount) {
		this.isInternalAccount = isInternalAccount;
	}
}
