/*******************************************************************************
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 *******************************************************************************/
package com.ofss.digx.app.account.service;

import com.ofss.digx.app.account.dto.AccountRequestDTO;
import com.ofss.digx.app.account.dto.AccountResponseDTO;
import com.ofss.digx.infra.exceptions.Exception;
import com.ofss.fc.app.context.SessionContext;


/**
 * Service interface class to any account related transactions to be performed.
 */
public interface IAccount {
	/**
	 * Fetches account related details after performing security, business policy and system constraint checks. Calls domain to fetch account related details.
	 * @param sessionContext login and other context details of the user.
	 * @param accountRequestDTO containing request details of user.
	 * @return AccountResponseDTO containing response details. 
	 * @throws Exception in case of any failure while fetching details.
	 */
	public AccountResponseDTO fetch(SessionContext sessionContext, AccountRequestDTO accountRequestDTO) throws Exception;
}
