package com.ofss.digx.domain.account.entity.repository.adapter;

import com.ofss.digx.domain.account.entity.Account;
import com.ofss.digx.domain.account.entity.AccountKey;
import com.ofss.digx.framework.domain.repository.IRepositoryAdapter;
import com.ofss.digx.infra.exceptions.Exception;
/**
 * Interface to Account Repository Adapter. 
 *
 */
public interface IAccountRepositoryAdapter extends IRepositoryAdapter<Account, AccountKey>{
 /**
  * Fetches account details from either Local or Remote adapter implementation methods.
  * @param account domain object containing request parameters
  * @return account domain object containing response values
  * @throws Exception in case of any failure while making call to repository adapter.
  */
  public Account fetch(Account account) throws Exception;
}
